package com.chinaweal.aiccs.aiccs.revoke.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.chinaweal.aiccs.aiccs.revoke.entity.Tswritscontent;
import com.chinaweal.aiccs.aiccs.revoke.mapper.TswritscontentMapper;
import com.chinaweal.aiccs.aiccs.revoke.service.TswritscontentService;
import com.chinaweal.youfool.framework.springboot.mybatis.plus.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 文书模板内容表 服务实现类
 * </p>
 *
 * @author Lee
 * @since 2021-07-14
 */
@Service
public class TswritscontentServiceImpl extends BaseServiceImpl<TswritscontentMapper, Tswritscontent> implements TswritscontentService {

    @Override
    public List<Tswritscontent> getContenList(String bizseq, String writsType) {
        LambdaQueryWrapper<Tswritscontent> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Tswritscontent::getBizseq,bizseq)
                .eq(Tswritscontent::getWritsType, writsType)
                .orderByAsc(Tswritscontent::getParagraphNo);
        return baseMapper.selectList(wrapper);
    }
}
